curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/entities/search' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
[
{
"confidence": 7.5,
"created_at": "2026-08-31T14:22:05Z",
"entity_type": "string",
"has_embedding": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"properties": {},
"updated_at": "2026-08-31T14:22:05Z"
}
]
Search for entities matching a query pattern.
Query Parameters - q: Search query (supports regex patterns) - limit: Maximum number of results (default: 10) Response Returns a list of entities matching the…
GET
/
api
/
v1
/
entities
/
search
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/entities/search' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
[
{
"confidence": 7.5,
"created_at": "2026-08-31T14:22:05Z",
"entity_type": "string",
"has_embedding": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"properties": {},
"updated_at": "2026-08-31T14:22:05Z"
}
]
Query Parameters
q: Search query (supports regex patterns)limit: Maximum number of results (default: 10) Response Returns a list of entities matching the search criteria. Search entities by name/regex.
read
Query parameters
Response
EntityResponse[] — each element:
Status codes
| Code | Meaning |
|---|---|
200 | Entities matching the search |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/entities/search' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
[
{
"confidence": 7.5,
"created_at": "2026-08-31T14:22:05Z",
"entity_type": "string",
"has_embedding": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"properties": {},
"updated_at": "2026-08-31T14:22:05Z"
}
]
Last modified on August 31, 2026